Package de.willuhn.jameica.hbci.io.print

# Class AbstractPrintSupport

java.lang.Object
de.willuhn.jameica.hbci.io.print.AbstractPrintSupport

All Implemented Interfaces:
  `de.willuhn.jameica.print.PrintSupport`

Direct Known Subclasses:
  `AbstractPrintSupportBaseUeberweisung`, `AbstractPrintSupportBaseUeberweisungList`, `AbstractPrintSupportSammelTransfer`, `AbstractPrintSupportSepaSammelTransfer`, `AbstractPrintSupportSepaSammelTransferBuchung`, `AbstractPrintSupportSepaTransfer`, `AbstractPrintSupportSepaTransferList`, `PrintSupportDauerauftrag`, `PrintSupportSepaDauerauftrag`, `PrintSupportUmsatzList`

public abstract class AbstractPrintSupport extends Object implements de.willuhn.jameica.print.PrintSupport
Abstrakte Basis-Implementierung fuer den Druck-Support.

## Constructor Summary

Constructors
Constructor
Description
`AbstractPrintSupport()`

## Method Summary

Modifier and Type
Method
Description
`net.sf.paperclips.PrintJob`
`print()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractPrintSupport

public AbstractPrintSupport()

## Method Details

### print

public net.sf.paperclips.PrintJob print() throws de.willuhn.util.ApplicationException

Specified by:
  `print` in interface `de.willuhn.jameica.print.PrintSupport`
Throws:
  `de.willuhn.util.ApplicationException`